# `mopidy.zeroconf` — Zeroconf API

class mopidy.zeroconf.Zeroconf(name, stype, port, domain='', host='', text=None)

  Publish a network service with Zeroconf.

  Currently, this only works on Linux using Avahi via D-Bus.

  Parameters:

    - name (str) – human readable name of the service, e.g. ‘MPD on neptune’

    - stype (str) – service type, e.g. ‘_mpd._tcp’

    - port (int) – TCP port of the service, e.g. 6600

    - domain (str) – local network domain name, defaults to ‘’

    - host (str) – interface to advertise the service on, defaults to ‘’

    - text (list of str) – extra information depending on `stype`, defaults to empty list

  publish()

    Publish the service.

    Call when your service starts.

  unpublish()

    Unpublish the service.

    Call when your service shuts down.